diff --git a/httpbrokerclient.cpp b/httpbrokerclient.cpp
index 4ca8e5d..a0f18ee 100644
--- a/httpbrokerclient.cpp
+++ b/httpbrokerclient.cpp
@@ -145,8 +145,8 @@ void HttpBrokerClient::slotSshServerAuthError(int error, QString sshMessage, Ssh
         return;
 
     case SSH_SERVER_FOUND_OTHER:
-        errMsg=tr ( "The host key for this server was not found but an other"
-                    "type of key exists.An attacker might change the default server key to"
+        errMsg=tr ( "The host key for this server was not found but an other "
+                    "type of key exists. An attacker might change the default server key to "
                     "confuse your client into thinking the key does not exist" );
         connection->writeKnownHosts(false);
         connection->wait();
diff --git a/onmainwindow.cpp b/onmainwindow.cpp
index 3e50ad9..618c442 100644
--- a/onmainwindow.cpp
+++ b/onmainwindow.cpp
@@ -3020,7 +3020,7 @@ void ONMainWindow::slotSshServerAuthError ( int error, QString sshMessage, SshMa
         }
         break;
     case SSH_SERVER_FOUND_OTHER:
-        errMsg=tr ( "The host key for this server was not found but an other"
+        errMsg=tr ( "The host key for this server was not found but an other "
                     "type of key exists. An attacker might change the default server key to "
                     "confuse your client into thinking the key does not exist. \n"
                     "For security reasons, it is recommended to stop the connection.\n"
@@ -4266,7 +4266,7 @@ void ONMainWindow::resumeSession ( const x2goSession& s )
  * @param info: message to be displayed in tray icon message
  *
  * set the tray session icon picture as tray icon picture and show a tray icon information message about something is doing
- * this message avoid the users think nothing is happend for some seconds while x2go session window is showed
+ * this message avoid the users think nothing is happened for some seconds while x2go session window is showed
  *
  */
 void ONMainWindow::setTrayIconToSessionIcon(QString info) {
diff --git a/qtbrowserplugin-2.4_1-opensource/src/qtbrowserplugin.cpp b/qtbrowserplugin-2.4_1-opensource/src/qtbrowserplugin.cpp
index e7c6f31..aed03bf 100644
--- a/qtbrowserplugin-2.4_1-opensource/src/qtbrowserplugin.cpp
+++ b/qtbrowserplugin-2.4_1-opensource/src/qtbrowserplugin.cpp
@@ -1476,7 +1476,7 @@ NPP QtNPBindable::instance() const
     HTML page. This function is called once for every stream the browser
     creates for the plugin.
 
-    Return true to indicate successfull processing of the data, otherwise
+    Return true to indicate successful processing of the data, otherwise
     return false. The default implementation does nothing and returns false.
 */
 
@@ -1491,7 +1491,7 @@ bool QtNPBindable::readData(QIODevice *source, const QString &format)
     Requests that the \a url be retrieved and sent to the named \a window (or
     a new window if \a window is empty), and returns the ID of the request that is
     delivered to transferComplete() when the get-operation has finished. Returns 0 when
-    the browser or the system doesn't support notification, or -1 when an error occured.
+    the browser or the system doesn't support notification, or -1 when an error occurred.
 
     \code
     void MyPlugin::aboutQtSoftware()
@@ -1530,7 +1530,7 @@ int QtNPBindable::openUrl(const QString &url, const QString &window)
 /*!
     Posts \a data to \a url, and displays the result in \a window. Returns the ID of the request
     that is delivered to transferComplete() when the post-operation has finished. Returns 0 when
-    the browser or the system doesn't support notification, or -1 when an error occured.
+    the browser or the system doesn't support notification, or -1 when an error occurred.
 
     \code
     void MyPlugin::sendMail()
@@ -1559,7 +1559,7 @@ int QtNPBindable::uploadData(const QString &url, const QString &window, const QB
     Posts \a filename to \a url, and displays the result in \a window. Returns the ID of
     the request that is delivered to transferComplete() when the post-operation has finished.
     Returns 0 when the browser or the system doesn't support notification, or -1 when an
-    error occured.
+    error occurred.
 
     \code
     void MyPlugin::uploadFile()
diff --git a/sessionwidget.cpp b/sessionwidget.cpp
index 8c7f95b..c940873 100644
--- a/sessionwidget.cpp
+++ b/sessionwidget.cpp
@@ -310,7 +310,7 @@ void SessionWidget::slot_proxyGetKey()
                          "portable mode. You should "
                          "use a path on your usb device "
                          "to be able to access your data "
-                         "whereever you are" ),
+                         "wherever you are" ),
                     QMessageBox::Ok,QMessageBox::NoButton );
                 slot_getKey();
                 return;
@@ -423,7 +423,7 @@ void SessionWidget::slot_getKey()
                          "portable mode. You should "
                          "use a path on your usb device "
                          "to be able to access your data "
-                         "whereever you are" ),
+                         "wherever you are" ),
                     QMessageBox::Ok,QMessageBox::NoButton );
                 slot_getKey();
                 return;
diff --git a/sharewidget.cpp b/sharewidget.cpp
index f4d00b0..3a9df0e 100644
--- a/sharewidget.cpp
+++ b/sharewidget.cpp
@@ -177,7 +177,7 @@ void ShareWidget::slot_openDir()
                          "portable mode. You should "
                          "use a path on your usb device "
                          "to be able to access your data "
-                         "whereever you are" ),
+                         "wherever you are" ),
                     QMessageBox::Ok,QMessageBox::NoButton );
                 slot_openDir();
                 return;
diff --git a/x2goclient_da.ts b/x2goclient_da.ts
index ac03837..d7e54e3 100644
--- a/x2goclient_da.ts
+++ b/x2goclient_da.ts
@@ -643,7 +643,7 @@ Den er nu: </translation>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation>Serverens host key blev fundet, men en anden type nøgle eksisterer. En angriber kan ændre standardnøglen på serveren for at narre din klient til at tro at nøglen ikke eksisterer</translation>
     </message>
     <message>
@@ -1347,7 +1347,7 @@ Do you want to update the host key?</source>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -2571,7 +2571,7 @@ f.eks:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2go klienten kører i portable mode. Du bør bruge en sti på din usb enhed så du kan få adgang til dine data uanset hvor du er</translation>
     </message>
     <message>
@@ -2847,7 +2847,7 @@ lydsystemets forbindelse igennem firewalls</translation>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2go klienten kører i portable mode. Du bør bruge en sti på din usb enhed så du kan få adgang til dine data uanset hvor du er</translation>
     </message>
     <message>
diff --git a/x2goclient_de.ts b/x2goclient_de.ts
index 4206614..ada194b 100644
--- a/x2goclient_de.ts
+++ b/x2goclient_de.ts
@@ -992,7 +992,7 @@ Er lautet jetzt: </translation>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation>Der Hostkey des Servers konnte nicht gefunden werden aber ein anderer Schlüsseltyp existiert. Ein Angreifer kann den Schlüssel verändert haben, um dem Client vorzutäuschen, dass der Schlüssel nicht existiert</translation>
     </message>
     <message>
@@ -1278,7 +1278,7 @@ Wollen Sie den Host-Key aktualisieren?</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -3174,7 +3174,7 @@ Beispiel:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2goclient wird gerade als portable Anwendung ausgeführt. Sie sollten einen Pfad auf dem USB-Medium wählen, um von überall aus auf Ihre Daten zugreifen zu können.</translation>
     </message>
 </context>
@@ -3439,7 +3439,7 @@ sound system connections through firewalls</source>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2goclient befindet sich im portablen Ausführungsmodus. Wenn Sie einen Pfad ausserhalb des USB Geräts wählen, können sie auf die Daten nicht von überall aus zugreifen</translation>
     </message>
 </context>
diff --git a/x2goclient_es.ts b/x2goclient_es.ts
index b6d4895..e02aa12 100644
--- a/x2goclient_es.ts
+++ b/x2goclient_es.ts
@@ -641,7 +641,7 @@ Ahora es: </translation>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation>No se ha encontrado la clave para este servidor aunque se han encontrado claves de otro tipo. Un hacker podría cambiar la clave por defecto del servidor para hacer creer al cliente que la clave no existe</translation>
     </message>
     <message>
@@ -1351,7 +1351,7 @@ Do you want to update the host key?</source>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -2580,7 +2580,7 @@ Ejemplo:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>el cliente x2go está ejecutándose en modo portable. Debería usar una ruta hacia tu dispositivo usb donde poder usar tus datos dondequiera estés</translation>
     </message>
     <message>
@@ -2856,7 +2856,7 @@ el sonido en conexiones a través de firewalls</translation>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>el cliente x2go está ejecutándose en modo portable. Debería usar una ruta hacia tu dispositivo usb donde poder usar tus datos dondequiera estés</translation>
     </message>
     <message>
diff --git a/x2goclient_fi.ts b/x2goclient_fi.ts
index f1640da..0c8b8d7 100644
--- a/x2goclient_fi.ts
+++ b/x2goclient_fi.ts
@@ -615,7 +615,7 @@ Se on nyt:</translation>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation type="unfinished">Palvelimen julkista avainta ei löytynyt mutta vaihtoehtoinen avain löytyi. Tunkeutuja on ehkä vaihtanut oletusavaimen harhauttaakseen etäkäyttäjää luulemaan että avainta ei ole</translation>
     </message>
     <message>
@@ -1337,7 +1337,7 @@ Do you want to update the host key?</source>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -2533,7 +2533,7 @@ Esimerkki:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation type="unfinished">x2go-asiakasohjelma on siirrettävässä moodissa. Käytä usb-laiteen hakupolkua jotta pääset joka paikasta käsiksi omiin tietoihisi</translation>
     </message>
     <message>
@@ -2823,7 +2823,7 @@ sound system connections through firewalls</source>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2go-yhteysohjelma toimiii mobiilitilassa. Käytä usb-laitteen hakemistoja tietojen hakemiseen</translation>
     </message>
     <message>
diff --git a/x2goclient_fr.ts b/x2goclient_fr.ts
index 3bd801d..280b59f 100644
--- a/x2goclient_fr.ts
+++ b/x2goclient_fr.ts
@@ -502,7 +502,7 @@ C&apos;est maintenant: </translation>
         <translation>Pour des raisons de sécurité, la connection va être stoppée.</translation>
     </message>
     <message>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation type="unfinished">La clef de ce serveur n&apos;a pas été trouvée mais un autre type de clef existe. Un attaquant peut avoir changé la clef par défaut du serveur pour faire croire à votre client que la clef n&apos;existe pas</translation>
     </message>
     <message>
@@ -1451,7 +1451,7 @@ Do you want to update the host key?</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -1914,7 +1914,7 @@ lpr -P hp_laserjet</source>
         <translation type="unfinished">Erreur</translation>
     </message>
     <message>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation type="unfinished"></translation>
     </message>
     <message>
@@ -2117,7 +2117,7 @@ sound system connections through firewalls</source>
         <translation type="unfinished">Erreur</translation>
     </message>
     <message>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
diff --git a/x2goclient_nb_no.ts b/x2goclient_nb_no.ts
index 3efefcb..194a748 100644
--- a/x2goclient_nb_no.ts
+++ b/x2goclient_nb_no.ts
@@ -500,7 +500,7 @@ Den er nå: </translation>
         <translation>Av hensyn til sikkerheten vil tilkoblingen bli stoppet</translation>
     </message>
     <message>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation>Vertsnøkkelen for denne serveren ble ikke funnet, men en annen type av nøkkel eksisterer. En angriper kan endre standard servernøkkel for å lure klienten din til å tro at nøkkelen ikke finnes</translation>
     </message>
     <message>
@@ -728,7 +728,7 @@ Do you want to update the host key?</source>
 Vil du oppdateren den nye vertsnøkkelen?</translation>
     </message>
     <message>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -2105,7 +2105,7 @@ Eksempel:
         <translation>Feil</translation>
     </message>
     <message>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2goclient kjører i portabel modus. Du burde bruke en sti på din USB enhet for å kunne benytte dataene dine uavhengig av hvor du er</translation>
     </message>
     <message>
@@ -2325,7 +2325,7 @@ lydsystem forbindelser gjennom brannmurer</translation>
         <translation>Feil</translation>
     </message>
     <message>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2goclient kjører i portabel modus. Du burde bruke en sti på din USB enhet for å kunne benytte dataene dine uavhengig av hvor du er</translation>
     </message>
     <message>
diff --git a/x2goclient_ru.ts b/x2goclient_ru.ts
index 989266e..60102cb 100644
--- a/x2goclient_ru.ts
+++ b/x2goclient_ru.ts
@@ -1023,7 +1023,7 @@ It is now: </source>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation>Ключ для этого сервера не найден, но другой вариант ключа существует. Злоумышленик мог изменить ключ сервера по умолчания, что бы ввести ваш клиент в заблуждение, что этот ключ не существует</translation>
     </message>
     <message>
@@ -1316,7 +1316,7 @@ Do you want to update the host key?</source>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -3152,7 +3152,7 @@ Example:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2goclient запущен в &quot;переносимом&quot; режиме. Пожалуйста выберите путь находящийся в пределах используемого носителя для того, что бы всегда иметь доступ к Вашим данным</translation>
     </message>
 </context>
@@ -3417,7 +3417,7 @@ sound system connections through firewalls</source>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>x2goclient запущен в &quot;переносимом&quot; режиме. Пожалуйста выберите путь находящийся в пределах используемого носителя для того, что бы всегда иметь доступ к Вашим данным</translation>
     </message>
 </context>
diff --git a/x2goclient_sv.ts b/x2goclient_sv.ts
index 42ea72e..acaf280 100644
--- a/x2goclient_sv.ts
+++ b/x2goclient_sv.ts
@@ -644,7 +644,7 @@ Den är nu: </translation>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation>Servern svarade inte med förväntad nyckeltyp. Det kan innebära att servern är komprometterad</translation>
     </message>
     <message>
@@ -1358,7 +1358,7 @@ Vill du uppdatera servernyckeln?</translation>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -2605,7 +2605,7 @@ Example:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>X2Go-klienten körs i portabelt läge. Du bör använda en sökväg till en USB-enhet för att möjliggöra flyttbara inställningar</translation>
     </message>
     <message>
@@ -2882,7 +2882,7 @@ ljudström genom brandväggar</translation>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>X2Go-klienten körs i portabelt läge. Du bör använda en sökväg till en USB-enhet för att möjliggöra flyttbara inställningar</translation>
     </message>
     <message>
diff --git a/x2goclient_zh_tw.ts b/x2goclient_zh_tw.ts
index d8bac32..8392f69 100644
--- a/x2goclient_zh_tw.ts
+++ b/x2goclient_zh_tw.ts
@@ -641,7 +641,7 @@ It is now: </source>
     </message>
     <message>
         <location filename="httpbrokerclient.cpp" line="148"/>
-        <source>The host key for this server was not found but an othertype of key exists.An attacker might change the default server key toconfuse your client into thinking the key does not exist</source>
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist</source>
         <translation type="unfinished">目前沒有找到伺服器上的主機密鑰，不過有其它類型的密鑰存在。惡意的攻擊者可能會利用改變預設的伺服器密鑰來讓您的用戶端認為原本的密鑰並不存在</translation>
     </message>
     <message>
@@ -1346,7 +1346,7 @@ Do you want to update the host key?</source>
     </message>
     <message>
         <location filename="onmainwindow.cpp" line="3023"/>
-        <source>The host key for this server was not found but an othertype of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist. 
+        <source>The host key for this server was not found but an other type of key exists. An attacker might change the default server key to confuse your client into thinking the key does not exist.
 For security reasons, it is recommended to stop the connection.
 Do you want to terminate the connection?
 </source>
@@ -2585,7 +2585,7 @@ Example:
     <message>
         <location filename="sessionwidget.cpp" line="309"/>
         <location filename="sessionwidget.cpp" line="422"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>X2Go用戶端目前為可攜式模式，您應該要使用您的USB裝置的路徑來存取您的資料</translation>
     </message>
     <message>
@@ -2861,7 +2861,7 @@ sound system connections through firewalls</source>
     </message>
     <message>
         <location filename="sharewidget.cpp" line="176"/>
-        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data whereever you are</source>
+        <source>x2goclient is running in portable mode. You should use a path on your usb device to be able to access your data wherever you are</source>
         <translation>X2Go用戶端目前為可攜式模式，您應該要使用您的USB裝置的路徑來存取您的資料</translation>
     </message>
     <message>
